#previewVideo, #carouselContainer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 100%;
  height: auto;
  max-height: 100%;
  object-fit: contain;
  border-radius: 10px;
  box-shadow: 0 0px 20px rgba(246, 0, 250, 0.3);
}



#videoControls {
width: 100%;
text-align: center;
z-index: 99999999;
}

#videoTitle {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: rgba(0, 0, 0, 0.4);
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
}



.generated-video {
  display: block;
  max-width: 90vw;
  max-height: 90vh;
  width: auto;
  height: auto;
  margin: 0 auto;
  object-fit: contain;
}

.set-resolution-btn {
  background-color: #8e44ad;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  margin-top: 10px;
  transition: background-color 0.3s ease;
}

.set-resolution-btn:hover {
  background-color: #6c3483;
}


#videoControls {
  width: 100%;
  text-align: center;
  z-index: 99999999;
}

#videoTitle {
  position: absolute;
  top: 10px;
  left: 10px;
  background-color: rgba(0, 0, 0, 0.4);
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 16px;
  font-weight: bold;
}


.video-control-elements {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 10px;
}

#videoSlider {
  width: 100%;
}

#videoControl {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
}

#currentSocialImg {
  width: 30px;
  height: 30px;
  margin-bottom: 10px;
  box-shadow: 0 0 30px rgba(255, 255, 255, 0.2);
  border-radius: 5px;
}

#aspectRatio {
  width: 100%;
  padding: 10px;
  font-size: 16px;
  background-color: black;
  color: #c861f5;
  border: none;
  border-radius: 5px;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-repeat: no-repeat;
  background-position: right 10px center;
  background-size: 10px;
  box-shadow: 0 0 20px rgba(216, 0, 245, 0.7);
  outline: none;
  text-align: center;
}

#socialIconContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  margin: 10px auto 20px;
  max-width: 90%;
}

.socialIcon {
  width: 50px;
  height: 50px;
  cursor: pointer;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  border-radius: 50%;
  box-shadow: 0 0 30px rgb(255, 0, 174, 0.6);
  border: 1px solid rgb(253, 252, 253, 0.6);
}

.socialIcon:hover {
  transform: scale(1.1);
  box-shadow: 0 0 40px rgb(255, 255, 255, 0.6);
}

#specCard {
  background-color: #1e1e1e;
  border-radius: 10px;
  padding: 30px;
  margin: 20px auto;
  box-shadow: 0 0px 20px rgb(251, 0, 255, 0.5);
  display: none;
  max-width: 90%;
}

#specCard h2 {
  color: #c861f5;
  margin-top: 0;
  text-align: center;
  font-size: 28px;
}

#specCard h3 {
  color: #c861f5;
  font-size: 22px;
  margin-top: 20px;
  margin-bottom: 10px;
}

#specCard ul {
  padding-left: 20px;
}

#specCard li {
  margin-bottom: 10px;
}

#specCard li strong {
  color: #c861f5;
  font-size: 18px;
}



  #videoControl {
    flex-direction: column;
    align-items: center;
    margin-top: 10px;
  }